Skip to main content
GET
/
connect
/
v1
/
connections
/
{connectionId}
/
products
/
{productId}
Get a product on a connection
curl --request GET \
  --url https://api.voyant.travel/connect/v1/connections/{connectionId}/products/{productId} \
  --header 'Authorization: Bearer <token>'
{
  "id": "<string>",
  "operatorId": "<string>",
  "connectionId": "<string>",
  "externalProductId": "<string>",
  "title": "<string>",
  "active": true,
  "supplierName": "<string>",
  "market": "<string>",
  "options": [
    {}
  ],
  "units": [
    {}
  ],
  "extras": [
    {}
  ]
}

Authorizations

Authorization
string
header
required

Provide either a static platform API key or an OAuth2 access token (from /connect/v1/oauth/token) as Authorization: Bearer <token>. Scopes are connect:* (e.g. connect:bookings:write).

Path Parameters

connectionId
string
required

Connection id.

productId
string
required

Response

200 - application/json

Product detail.

id
string
required
operatorId
string
required
connectionId
string
required
externalProductId
string
required
title
string
required
active
boolean
required
supplierName
string | null
market
string | null
options
object[]
units
object[]
extras
object[]